diff --git a/dlls/winegstreamer/wm_reader.c b/dlls/winegstreamer/wm_reader.c
index 57ba8633a..cb667c957 100644
--- a/dlls/winegstreamer/wm_reader.c
+++ b/dlls/winegstreamer/wm_reader.c
@@ -24,7 +24,7 @@ static struct wm_stream *get_stream_by_output_number(struct wm_reader *reader, D
 {
     if (output < reader->stream_count)
         return &reader->streams[output];
-    WARN("Invalid output number %lu.\n", output);
+    WARN("Invalid output number %u.\n", output);
     return NULL;
 }
 
@@ -65,7 +65,7 @@ static ULONG WINAPI output_props_AddRef(IWMOutputMediaProps *iface)
     struct output_props *props = impl_from_IWMOutputMediaProps(iface);
     ULONG refcount = InterlockedIncrement(&props->refcount);
 
-    TRACE("%p increasing refcount to %lu.\n", props, refcount);
+    TRACE("%p increasing refcount to %u.\n", props, refcount);
 
     return refcount;
 }
@@ -75,7 +75,7 @@ static ULONG WINAPI output_props_Release(IWMOutputMediaProps *iface)
     struct output_props *props = impl_from_IWMOutputMediaProps(iface);
     ULONG refcount = InterlockedDecrement(&props->refcount);
 
-    TRACE("%p decreasing refcount to %lu.\n", props, refcount);
+    TRACE("%p decreasing refcount to %u.\n", props, refcount);
 
     if (!refcount)
         free(props);
@@ -209,7 +209,7 @@ static ULONG WINAPI buffer_AddRef(INSSBuffer *iface)
     struct buffer *buffer = impl_from_INSSBuffer(iface);
     ULONG refcount = InterlockedIncrement(&buffer->refcount);
 
-    TRACE("%p increasing refcount to %lu.\n", buffer, refcount);
+    TRACE("%p increasing refcount to %u.\n", buffer, refcount);
 
     return refcount;
 }
@@ -219,7 +219,7 @@ static ULONG WINAPI buffer_Release(INSSBuffer *iface)
     struct buffer *buffer = impl_from_INSSBuffer(iface);
     ULONG refcount = InterlockedDecrement(&buffer->refcount);
 
-    TRACE("%p decreasing refcount to %lu.\n", buffer, refcount);
+    TRACE("%p decreasing refcount to %u.\n", buffer, refcount);
 
     if (!refcount)
         free(buffer);
@@ -237,7 +237,7 @@ static HRESULT WINAPI buffer_SetLength(INSSBuffer *iface, DWORD size)
 {
     struct buffer *buffer = impl_from_INSSBuffer(iface);
 
-    TRACE("iface %p, size %lu.\n", buffer, size);
+    TRACE("iface %p, size %u.\n", buffer, size);
 
     if (size > buffer->capacity)
         return E_INVALIDARG;
@@ -329,7 +329,7 @@ static ULONG WINAPI stream_config_AddRef(IWMStreamConfig *iface)
     struct stream_config *config = impl_from_IWMStreamConfig(iface);
     ULONG refcount = InterlockedIncrement(&config->refcount);
 
-    TRACE("%p increasing refcount to %lu.\n", config, refcount);
+    TRACE("%p increasing refcount to %u.\n", config, refcount);
 
     return refcount;
 }
@@ -339,7 +339,7 @@ static ULONG WINAPI stream_config_Release(IWMStreamConfig *iface)
     struct stream_config *config = impl_from_IWMStreamConfig(iface);
     ULONG refcount = InterlockedDecrement(&config->refcount);
 
-    TRACE("%p decreasing refcount to %lu.\n", config, refcount);
+    TRACE("%p decreasing refcount to %u.\n", config, refcount);
 
     if (!refcount)
     {
@@ -422,7 +422,7 @@ static HRESULT WINAPI stream_config_GetBitrate(IWMStreamConfig *iface, DWORD *bi
 
 static HRESULT WINAPI stream_config_SetBitrate(IWMStreamConfig *iface, DWORD bitrate)
 {
-    FIXME("iface %p, bitrate %lu, stub!\n", iface, bitrate);
+    FIXME("iface %p, bitrate %u, stub!\n", iface, bitrate);
     return E_NOTIMPL;
 }
 
@@ -434,7 +434,7 @@ static HRESULT WINAPI stream_config_GetBufferWindow(IWMStreamConfig *iface, DWOR
 
 static HRESULT WINAPI stream_config_SetBufferWindow(IWMStreamConfig *iface, DWORD window)
 {
-    FIXME("iface %p, window %lu, stub!\n", iface, window);
+    FIXME("iface %p, window %u, stub!\n", iface, window);
     return E_NOTIMPL;
 }
 
@@ -573,7 +573,7 @@ static DWORD CALLBACK read_thread(void *arg)
 
         if (!size)
         {
-            wg_parser_push_data(reader->wg_parser, data, 0);
+            wg_parser_push_data(reader->wg_parser, WG_READ_SUCCESS, data, 0);
             continue;
         }
 
@@ -591,8 +591,8 @@ static DWORD CALLBACK read_thread(void *arg)
             if (!SetFilePointerEx(file, large_offset, NULL, FILE_BEGIN)
                     || !ReadFile(file, data, size, &ret_size, NULL))
             {
-                ERR("Failed to read %u bytes at offset %I64u, error %lu.\n", size, offset, GetLastError());
-                wg_parser_push_data(reader->wg_parser, NULL, 0);
+                ERR("Failed to read %u bytes at offset %I64u, error %u.\n", size, offset, GetLastError());
+                wg_parser_push_data(reader->wg_parser, WG_READ_FAILURE, NULL, 0);
                 continue;
             }
         }
@@ -602,15 +602,15 @@ static DWORD CALLBACK read_thread(void *arg)
                 hr = IStream_Read(stream, data, size, &ret_size);
             if (FAILED(hr))
             {
-                ERR("Failed to read %u bytes at offset %I64u, hr %#lx.\n", size, offset, hr);
-                wg_parser_push_data(reader->wg_parser, NULL, 0);
+                ERR("Failed to read %u bytes at offset %I64u, hr %#x.\n", size, offset, hr);
+                wg_parser_push_data(reader->wg_parser, WG_READ_FAILURE, NULL, 0);
                 continue;
             }
         }
 
         if (ret_size != size)
-            ERR("Unexpected short read: requested %u bytes, got %lu.\n", size, ret_size);
-        wg_parser_push_data(reader->wg_parser, data, ret_size);
+            ERR("Unexpected short read: requested %u bytes, got %u.\n", size, ret_size);
+        wg_parser_push_data(reader->wg_parser, WG_READ_SUCCESS, data, ret_size);
     }
 
     free(data);
@@ -674,7 +674,7 @@ static ULONG WINAPI profile_AddRef(IWMProfile3 *iface)
     struct wm_reader *reader = impl_from_IWMProfile3(iface);
     ULONG refcount = InterlockedIncrement(&reader->refcount);
 
-    TRACE("%p increasing refcount to %lu.\n", reader, refcount);
+    TRACE("%p increasing refcount to %u.\n", reader, refcount);
 
     return refcount;
 }
@@ -684,7 +684,7 @@ static ULONG WINAPI profile_Release(IWMProfile3 *iface)
     struct wm_reader *reader = impl_from_IWMProfile3(iface);
     ULONG refcount = InterlockedDecrement(&reader->refcount);
 
-    TRACE("%p decreasing refcount to %lu.\n", reader, refcount);
+    TRACE("%p decreasing refcount to %u.\n", reader, refcount);
 
     if (!refcount)
         reader->ops->destroy(reader);
@@ -742,14 +742,14 @@ static HRESULT WINAPI profile_GetStream(IWMProfile3 *iface, DWORD index, IWMStre
     struct wm_reader *reader = impl_from_IWMProfile3(iface);
     struct stream_config *object;
 
-    TRACE("reader %p, index %lu, config %p.\n", reader, index, config);
+    TRACE("reader %p, index %u, config %p.\n", reader, index, config);
 
     EnterCriticalSection(&reader->cs);
 
     if (index >= reader->stream_count)
     {
         LeaveCriticalSection(&reader->cs);
-        WARN("Index %lu exceeds stream count %u; returning E_INVALIDARG.\n", index, reader->stream_count);
+        WARN("Index %u exceeds stream count %u; returning E_INVALIDARG.\n", index, reader->stream_count);
         return E_INVALIDARG;
     }
 
@@ -816,7 +816,7 @@ static HRESULT WINAPI profile_GetMutualExclusionCount(IWMProfile3 *iface, DWORD
 
 static HRESULT WINAPI profile_GetMutualExclusion(IWMProfile3 *iface, DWORD index, IWMMutualExclusion **excl)
 {
-    FIXME("iface %p, index %lu, excl %p, stub!\n", iface, index, excl);
+    FIXME("iface %p, index %u, excl %p, stub!\n", iface, index, excl);
     return E_NOTIMPL;
 }
 
@@ -864,7 +864,7 @@ static HRESULT WINAPI profile_GetBandwidthSharingCount(IWMProfile3 *iface, DWORD
 
 static HRESULT WINAPI profile_GetBandwidthSharing(IWMProfile3 *iface, DWORD index, IWMBandwidthSharing **sharing)
 {
-    FIXME("iface %p, index %lu, sharing %p, stub!\n", iface, index, sharing);
+    FIXME("iface %p, index %d, sharing %p, stub!\n", iface, index, sharing);
     return E_NOTIMPL;
 }
 
@@ -1131,7 +1131,7 @@ static HRESULT WINAPI header_info_GetCodecInfoCount(IWMHeaderInfo3 *iface, DWORD
 static HRESULT WINAPI header_info_GetCodecInfo(IWMHeaderInfo3 *iface, DWORD index, WORD *name_len,
         WCHAR *name, WORD *desc_len, WCHAR *desc, WMT_CODEC_INFO_TYPE *type, WORD *size, BYTE *info)
 {
-    FIXME("iface %p, index %lu, name_len %p, name %p, desc_len %p, desc %p, type %p, size %p, info %p, stub!\n",
+    FIXME("iface %p, index %u, name_len %p, name %p, desc_len %p, desc %p, type %p, size %p, info %p, stub!\n",
             iface, index, name_len, name, desc_len, desc, type, size, info);
     return E_NOTIMPL;
 }
@@ -1163,7 +1163,7 @@ static HRESULT WINAPI header_info_GetAttributeByIndexEx(IWMHeaderInfo3 *iface,
 static HRESULT WINAPI header_info_ModifyAttribute(IWMHeaderInfo3 *iface, WORD stream_number,
         WORD index, WMT_ATTR_DATATYPE type, WORD lang_index, const BYTE *value, DWORD size)
 {
-    FIXME("iface %p, stream_number %u, index %u, type %#x, lang_index %u, value %p, size %lu, stub!\n",
+    FIXME("iface %p, stream_number %u, index %u, type %#x, lang_index %u, value %p, size %u, stub!\n",
             iface, stream_number, index, type, lang_index, value, size);
     return E_NOTIMPL;
 }
@@ -1172,7 +1172,7 @@ static HRESULT WINAPI header_info_AddAttribute(IWMHeaderInfo3 *iface,
         WORD stream_number, const WCHAR *name, WORD *index,
         WMT_ATTR_DATATYPE type, WORD lang_index, const BYTE *value, DWORD size)
 {
-    FIXME("iface %p, stream_number %u, name %s, index %p, type %#x, lang_index %u, value %p, size %lu, stub!\n",
+    FIXME("iface %p, stream_number %u, name %s, index %p, type %#x, lang_index %u, value %p, size %u, stub!\n",
             iface, stream_number, debugstr_w(name), index, type, lang_index, value, size);
     return E_NOTIMPL;
 }
@@ -1309,7 +1309,7 @@ static HRESULT WINAPI packet_size_GetMaxPacketSize(IWMPacketSize2 *iface, DWORD
 
 static HRESULT WINAPI packet_size_SetMaxPacketSize(IWMPacketSize2 *iface, DWORD size)
 {
-    FIXME("iface %p, size %lu, stub!\n", iface, size);
+    FIXME("iface %p, size %u, stub!\n", iface, size);
     return E_NOTIMPL;
 }
 
@@ -1321,7 +1321,7 @@ static HRESULT WINAPI packet_size_GetMinPacketSize(IWMPacketSize2 *iface, DWORD
 
 static HRESULT WINAPI packet_size_SetMinPacketSize(IWMPacketSize2 *iface, DWORD size)
 {
-    FIXME("iface %p, size %lu, stub!\n", iface, size);
+    FIXME("iface %p, size %u, stub!\n", iface, size);
     return E_NOTIMPL;
 }
 
@@ -1365,14 +1365,14 @@ static ULONG WINAPI playlist_Release(IWMReaderPlaylistBurn *iface)
 static HRESULT WINAPI playlist_InitPlaylistBurn(IWMReaderPlaylistBurn *iface, DWORD count,
         const WCHAR **filenames, IWMStatusCallback *callback, void *context)
 {
-    FIXME("iface %p, count %lu, filenames %p, callback %p, context %p, stub!\n",
+    FIXME("iface %p, count %u, filenames %p, callback %p, context %p, stub!\n",
             iface, count, filenames, callback, context);
     return E_NOTIMPL;
 }
 
 static HRESULT WINAPI playlist_GetInitResults(IWMReaderPlaylistBurn *iface, DWORD count, HRESULT *hrs)
 {
-    FIXME("iface %p, count %lu, hrs %p, stub!\n", iface, count, hrs);
+    FIXME("iface %p, count %u, hrs %p, stub!\n", iface, count, hrs);
     return E_NOTIMPL;
 }
 
@@ -1384,7 +1384,7 @@ static HRESULT WINAPI playlist_Cancel(IWMReaderPlaylistBurn *iface)
 
 static HRESULT WINAPI playlist_EndPlaylistBurn(IWMReaderPlaylistBurn *iface, HRESULT hr)
 {
-    FIXME("iface %p, hr %#lx, stub!\n", iface, hr);
+    FIXME("iface %p, hr %#x, stub!\n", iface, hr);
     return E_NOTIMPL;
 }
 
@@ -1455,7 +1455,7 @@ static HRESULT init_stream(struct wm_reader *reader, QWORD file_size)
     HRESULT hr;
     WORD i;
 
-    if (!(wg_parser = wg_parser_create(WG_PARSER_DECODEBIN, false)))
+    if (!(wg_parser = wg_parser_create(WG_PARSER_DECODEBIN, true)))
         return E_OUTOFMEMORY;
 
     reader->wg_parser = wg_parser;
@@ -1468,7 +1468,7 @@ static HRESULT init_stream(struct wm_reader *reader, QWORD file_size)
 
     if (FAILED(hr = wg_parser_connect(reader->wg_parser, file_size)))
     {
-        ERR("Failed to connect parser, hr %#lx.\n", hr);
+        ERR("Failed to connect parser, hr %#x.\n", hr);
         goto out_shutdown_thread;
     }
 
@@ -1484,7 +1484,7 @@ static HRESULT init_stream(struct wm_reader *reader, QWORD file_size)
     {
         struct wm_stream *stream = &reader->streams[i];
 
-        stream->wg_stream = wg_parser_get_stream(reader->wg_parser, i);
+        stream->wg_stream = wg_parser_get_stream(reader->wg_parser, reader->stream_count - i - 1);
         stream->reader = reader;
         stream->index = i;
         stream->selection = WMT_ON;
@@ -1508,8 +1508,19 @@ static HRESULT init_stream(struct wm_reader *reader, QWORD file_size)
              * Shadowgrounds provides wmv3 video and assumes that the initial
              * video type will be BGR. */
             stream->format.u.video.format = WG_VIDEO_FORMAT_BGR;
+            {
+                /* HACK: Persona 4 Golden tries to read compressed samples, and
+                 * then autoplug them via quartz to a filter that only accepts
+                 * BGRx. This is not trivial to implement. Return BGRx from the
+                 * wmvcore reader for now. */
+
+                const char *id = getenv("SteamGameId");
+
+                if (id && !strcmp(id, "1113000"))
+                    stream->format.u.video.format = WG_VIDEO_FORMAT_BGRx;
+            }
         }
-        wg_parser_stream_enable(stream->wg_stream, &stream->format);
+        wg_parser_stream_enable(stream->wg_stream, &stream->format, NULL, STREAM_ENABLE_FLAG_FLIP_RGB);
     }
 
     /* We probably discarded events because streams weren't enabled yet.
@@ -1542,7 +1553,7 @@ HRESULT wm_reader_open_stream(struct wm_reader *reader, IStream *stream)
 
     if (FAILED(hr = IStream_Stat(stream, &stat, STATFLAG_NONAME)))
     {
-        ERR("Failed to stat stream, hr %#lx.\n", hr);
+        ERR("Failed to stat stream, hr %#x.\n", hr);
         return hr;
     }
 
@@ -1568,13 +1579,13 @@ HRESULT wm_reader_open_file(struct wm_reader *reader, const WCHAR *filename)
     if ((file = CreateFileW(filename, GENERIC_READ, FILE_SHARE_READ, NULL,
             OPEN_EXISTING, 0, NULL)) == INVALID_HANDLE_VALUE)
     {
-        ERR("Failed to open %s, error %lu.\n", debugstr_w(filename), GetLastError());
+        ERR("Failed to open %s, error %u.\n", debugstr_w(filename), GetLastError());
         return HRESULT_FROM_WIN32(GetLastError());
     }
 
     if (!GetFileSizeEx(file, &size))
     {
-        ERR("Failed to get the size of %s, error %lu.\n", debugstr_w(filename), GetLastError());
+        ERR("Failed to get the size of %s, error %u.\n", debugstr_w(filename), GetLastError());
         CloseHandle(file);
         return HRESULT_FROM_WIN32(GetLastError());
     }
@@ -1686,10 +1697,6 @@ HRESULT wm_reader_get_output_format_count(struct wm_reader *reader, DWORD output
             *count = ARRAY_SIZE(video_formats);
             break;
 
-        case WG_MAJOR_TYPE_WMA:
-        case WG_MAJOR_TYPE_H264:
-            FIXME("Format %u not implemented!\n", format.major_type);
-            /* fallthrough */
         case WG_MAJOR_TYPE_AUDIO:
         case WG_MAJOR_TYPE_UNKNOWN:
             *count = 1;
@@ -1736,10 +1743,6 @@ HRESULT wm_reader_get_output_format(struct wm_reader *reader, DWORD output,
             format.u.audio.format = WG_AUDIO_FORMAT_S16LE;
             break;
 
-        case WG_MAJOR_TYPE_WMA:
-        case WG_MAJOR_TYPE_H264:
-            FIXME("Format %u not implemented!\n", format.major_type);
-            break;
         case WG_MAJOR_TYPE_UNKNOWN:
             break;
     }
@@ -1783,7 +1786,7 @@ HRESULT wm_reader_set_output_props(struct wm_reader *reader, DWORD output,
     }
 
     stream->format = format;
-    wg_parser_stream_enable(stream->wg_stream, &format);
+    wg_parser_stream_enable(stream->wg_stream, &format, NULL, STREAM_ENABLE_FLAG_FLIP_RGB);
 
     /* Re-decode any buffers that might have been generated with the old format.
      *
@@ -1815,10 +1818,6 @@ static const char *get_major_type_string(enum wg_major_type type)
             return "video";
         case WG_MAJOR_TYPE_UNKNOWN:
             return "unknown";
-        case WG_MAJOR_TYPE_WMA:
-            return "wma";
-        case WG_MAJOR_TYPE_H264:
-            return "h264";
     }
     assert(0);
     return NULL;
@@ -1925,7 +1924,7 @@ HRESULT wm_reader_get_stream_sample(struct wm_reader *reader, WORD stream_number
             if (FAILED(hr = IWMReaderCallbackAdvanced_AllocateForStream(callback_advanced,
                     stream->index + 1, wg_buffer.size, &sample, NULL)))
             {
-                ERR("Failed to allocate stream sample of %u bytes, hr %#lx.\n", wg_buffer.size, hr);
+                ERR("Failed to allocate stream sample of %u bytes, hr %#x.\n", wg_buffer.size, hr);
                 wg_parser_stream_release_buffer(wg_stream);
                 return hr;
             }
@@ -1935,7 +1934,7 @@ HRESULT wm_reader_get_stream_sample(struct wm_reader *reader, WORD stream_number
             if (FAILED(hr = IWMReaderCallbackAdvanced_AllocateForOutput(callback_advanced,
                     stream->index, wg_buffer.size, &sample, NULL)))
             {
-                ERR("Failed to allocate output sample of %u bytes, hr %#lx.\n", wg_buffer.size, hr);
+                ERR("Failed to allocate output sample of %u bytes, hr %#x.\n", wg_buffer.size, hr);
                 wg_parser_stream_release_buffer(wg_stream);
                 return hr;
             }
@@ -1960,11 +1959,11 @@ HRESULT wm_reader_get_stream_sample(struct wm_reader *reader, WORD stream_number
         }
 
         if (FAILED(hr = INSSBuffer_GetBufferAndLength(sample, &data, &size)))
-            ERR("Failed to get data pointer, hr %#lx.\n", hr);
+            ERR("Failed to get data pointer, hr %#x.\n", hr);
         if (FAILED(hr = INSSBuffer_GetMaxLength(sample, &capacity)))
-            ERR("Failed to get capacity, hr %#lx.\n", hr);
+            ERR("Failed to get capacity, hr %#x.\n", hr);
         if (wg_buffer.size > capacity)
-            ERR("Returned capacity %lu is less than requested capacity %u.\n", capacity, wg_buffer.size);
+            ERR("Returned capacity %u is less than requested capacity %u.\n", capacity, wg_buffer.size);
 
         if (!wg_parser_stream_copy_buffer(wg_stream, data, 0, wg_buffer.size))
         {
@@ -1974,7 +1973,7 @@ HRESULT wm_reader_get_stream_sample(struct wm_reader *reader, WORD stream_number
         }
 
         if (FAILED(hr = INSSBuffer_SetLength(sample, wg_buffer.size)))
-            ERR("Failed to set size %u, hr %#lx.\n", wg_buffer.size, hr);
+            ERR("Failed to set size %u, hr %#x.\n", wg_buffer.size, hr);
 
         wg_parser_stream_release_buffer(wg_stream);
 
@@ -2050,7 +2049,7 @@ HRESULT wm_reader_set_streams_selected(struct wm_reader *reader, WORD count,
                 FIXME("Ignoring selection %#x for stream %u; treating as enabled.\n",
                         selections[i], stream_numbers[i]);
             TRACE("Enabling stream %u.\n", stream_numbers[i]);
-            wg_parser_stream_enable(stream->wg_stream, &stream->format);
+            wg_parser_stream_enable(stream->wg_stream, &stream->format, NULL, STREAM_ENABLE_FLAG_FLIP_RGB);
         }
     }
 
diff --git a/dlls/winegstreamer/wm_syncreader.c b/dlls/winegstreamer/wm_syncreader.c
index c7cccd52c..b03aa69d0 100644
--- a/dlls/winegstreamer/wm_syncreader.c
+++ b/dlls/winegstreamer/wm_syncreader.c
@@ -65,7 +65,7 @@ static HRESULT WINAPI WMSyncReader_Close(IWMSyncReader2 *iface)
 static HRESULT WINAPI WMSyncReader_GetMaxOutputSampleSize(IWMSyncReader2 *iface, DWORD output, DWORD *max)
 {
     struct sync_reader *This = impl_from_IWMSyncReader2(iface);
-    FIXME("(%p)->(%lu %p): stub!\n", This, output, max);
+    FIXME("(%p)->(%d %p): stub!\n", This, output, max);
     return E_NOTIMPL;
 }
 
@@ -119,7 +119,7 @@ static HRESULT WINAPI WMSyncReader_GetOutputFormat(IWMSyncReader2 *iface,
 {
     struct sync_reader *reader = impl_from_IWMSyncReader2(iface);
 
-    TRACE("reader %p, output %lu, index %lu, props %p.\n", reader, output, index, props);
+    TRACE("reader %p, output %u, index %u, props %p.\n", reader, output, index, props);
 
     return wm_reader_get_output_format(&reader->reader, output, index, props);
 }
@@ -128,7 +128,7 @@ static HRESULT WINAPI WMSyncReader_GetOutputFormatCount(IWMSyncReader2 *iface, D
 {
     struct sync_reader *reader = impl_from_IWMSyncReader2(iface);
 
-    TRACE("reader %p, output %lu, count %p.\n", reader, output, count);
+    TRACE("reader %p, output %u, count %p.\n", reader, output, count);
 
     return wm_reader_get_output_format_count(&reader->reader, output, count);
 }
@@ -149,7 +149,7 @@ static HRESULT WINAPI WMSyncReader_GetOutputProps(IWMSyncReader2 *iface,
 {
     struct sync_reader *reader = impl_from_IWMSyncReader2(iface);
 
-    TRACE("reader %p, output %lu, props %p.\n", reader, output, props);
+    TRACE("reader %p, output %u, props %p.\n", reader, output, props);
 
     return wm_reader_get_output_props(&reader->reader, output, props);
 }
@@ -158,7 +158,7 @@ static HRESULT WINAPI WMSyncReader_GetOutputSetting(IWMSyncReader2 *iface, DWORD
         WMT_ATTR_DATATYPE *type, BYTE *value, WORD *length)
 {
     struct sync_reader *This = impl_from_IWMSyncReader2(iface);
-    FIXME("(%p)->(%lu %s %p %p %p): stub!\n", This, output_num, debugstr_w(name), type, value, length);
+    FIXME("(%p)->(%u %s %p %p %p): stub!\n", This, output_num, debugstr_w(name), type, value, length);
     return E_NOTIMPL;
 }
 
@@ -174,7 +174,7 @@ static HRESULT WINAPI WMSyncReader_GetStreamNumberForOutput(IWMSyncReader2 *ifac
 {
     struct sync_reader *reader = impl_from_IWMSyncReader2(iface);
 
-    TRACE("reader %p, output %lu, stream_number %p.\n", reader, output, stream_number);
+    TRACE("reader %p, output %u, stream_number %p.\n", reader, output, stream_number);
 
     *stream_number = output + 1;
     return S_OK;
@@ -212,7 +212,7 @@ static HRESULT WINAPI WMSyncReader_SetOutputProps(IWMSyncReader2 *iface, DWORD o
 {
     struct sync_reader *reader = impl_from_IWMSyncReader2(iface);
 
-    TRACE("reader %p, output %lu, props %p.\n", reader, output, props);
+    TRACE("reader %p, output %u, props %p.\n", reader, output, props);
 
     return wm_reader_set_output_props(&reader->reader, output, props);
 }
@@ -222,7 +222,7 @@ static HRESULT WINAPI WMSyncReader_SetOutputSetting(IWMSyncReader2 *iface, DWORD
 {
     struct sync_reader *reader = impl_from_IWMSyncReader2(iface);
 
-    TRACE("reader %p, output %lu, name %s, type %#x, value %p, size %u.\n",
+    TRACE("reader %p, output %u, name %s, type %#x, value %p, size %u.\n",
             reader, output, debugstr_w(name), type, value, size);
 
     if (!wcscmp(name, L"VideoSampleDurations"))
@@ -230,16 +230,6 @@ static HRESULT WINAPI WMSyncReader_SetOutputSetting(IWMSyncReader2 *iface, DWORD
         FIXME("Ignoring VideoSampleDurations setting.\n");
         return S_OK;
     }
-    if (!wcscmp(name, L"EnableDiscreteOutput"))
-    {
-        FIXME("Ignoring EnableDiscreteOutput setting.\n");
-        return S_OK;
-    }
-    if (!wcscmp(name, L"SpeakerConfig"))
-    {
-        FIXME("Ignoring SpeakerConfig setting.\n");
-        return S_OK;
-    }
     else
     {
         FIXME("Unknown setting %s; returning E_NOTIMPL.\n", debugstr_w(name));
@@ -305,28 +295,28 @@ static HRESULT WINAPI WMSyncReader2_SetRangeByFrameEx(IWMSyncReader2 *iface, WOR
 static HRESULT WINAPI WMSyncReader2_SetAllocateForOutput(IWMSyncReader2 *iface, DWORD output_num, IWMReaderAllocatorEx *allocator)
 {
     struct sync_reader *This = impl_from_IWMSyncReader2(iface);
-    FIXME("(%p)->(%lu %p): stub!\n", This, output_num, allocator);
+    FIXME("(%p)->(%d %p): stub!\n", This, output_num, allocator);
     return E_NOTIMPL;
 }
 
 static HRESULT WINAPI WMSyncReader2_GetAllocateForOutput(IWMSyncReader2 *iface, DWORD output_num, IWMReaderAllocatorEx **allocator)
 {
     struct sync_reader *This = impl_from_IWMSyncReader2(iface);
-    FIXME("(%p)->(%lu %p): stub!\n", This, output_num, allocator);
+    FIXME("(%p)->(%d %p): stub!\n", This, output_num, allocator);
     return E_NOTIMPL;
 }
 
 static HRESULT WINAPI WMSyncReader2_SetAllocateForStream(IWMSyncReader2 *iface, DWORD stream_num, IWMReaderAllocatorEx *allocator)
 {
     struct sync_reader *This = impl_from_IWMSyncReader2(iface);
-    FIXME("(%p)->(%lu %p): stub!\n", This, stream_num, allocator);
+    FIXME("(%p)->(%d %p): stub!\n", This, stream_num, allocator);
     return E_NOTIMPL;
 }
 
 static HRESULT WINAPI WMSyncReader2_GetAllocateForStream(IWMSyncReader2 *iface, DWORD stream_num, IWMReaderAllocatorEx **allocator)
 {
     struct sync_reader *This = impl_from_IWMSyncReader2(iface);
-    FIXME("(%p)->(%lu %p): stub!\n", This, stream_num, allocator);
+    FIXME("(%p)->(%d %p): stub!\n", This, stream_num, allocator);
     return E_NOTIMPL;
 }
 
